Support for Java

This topic describes BMC’s support for Java starting from January 1, 2019 and actions required for TrueSight Capacity Optimization.

Overview

Recent announcements by Oracle about commercializing Java have resulted in questions about how BMC will handle Java in the TrueSight products. 

Impact

Product versions releasing after January 1, 2019

  • Application Server, ETL Server, and Gateway Server components will be shipped with a supported Java runtime. If a security update is needed, BMC will provide a patch or instructions on how to replace the existing Java runtime with an updated version of a supported type.
  • TrueSight Presentation Server will continue to use Java 8 environment and will be certified on a supported Java runtime.
  • Agent components will no longer need Java to be installed, and so Java will not be used on managed endpoints.

Product versions released prior to January 1, 2019

  • BMC recommends that you upgrade to the most recent product version to get all the available fixes and security updates.
  • Users can continue to use the product with the existing Java environment. If a security update is needed, BMC will provide instructions on how to replace the existing Java environment with an updated one of a supported type.
Was this page helpful? Yes No Submitting... Thank you

Comments